spark-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From joshro...@apache.org
Subject spark git commit: [SPARK-12734][BUILD] Backport Netty exclusion + Maven enforcer fixes to branch-1.5
Date Mon, 11 Jan 2016 08:51:55 GMT
Repository: spark
Updated Branches:
  refs/heads/branch-1.5 de7194a0d -> 665aa47f8


[SPARK-12734][BUILD] Backport Netty exclusion + Maven enforcer fixes to branch-1.5

This patch backports the Netty exclusion fixes from #10672 to branch-1.5.

Author: Josh Rosen <joshrosen@databricks.com>

Closes #10690 from JoshRosen/netty-exclude-15-backport.


Project: http://git-wip-us.apache.org/repos/asf/spark/repo
Commit: http://git-wip-us.apache.org/repos/asf/spark/commit/665aa47f
Tree: http://git-wip-us.apache.org/repos/asf/spark/tree/665aa47f
Diff: http://git-wip-us.apache.org/repos/asf/spark/diff/665aa47f

Branch: refs/heads/branch-1.5
Commit: 665aa47f840ef392ccf3dcd23e7fd93987f7769a
Parents: de7194a
Author: Josh Rosen <joshrosen@databricks.com>
Authored: Mon Jan 11 00:51:44 2016 -0800
Committer: Josh Rosen <joshrosen@databricks.com>
Committed: Mon Jan 11 00:51:44 2016 -0800

----------------------------------------------------------------------
 dev/test-dependencies.sh | 16 ++++------------
 pom.xml                  | 21 ++++++++++++++++++++-
 2 files changed, 24 insertions(+), 13 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/spark/blob/665aa47f/dev/test-dependencies.sh
----------------------------------------------------------------------
diff --git a/dev/test-dependencies.sh b/dev/test-dependencies.sh
index 129741f..47ae15b 100755
--- a/dev/test-dependencies.sh
+++ b/dev/test-dependencies.sh
@@ -76,18 +76,10 @@ for HADOOP_PROFILE in "${HADOOP_PROFILES[@]}"; do
     HADOOP_MODULE_PROFILES="-Phive-thriftserver -Pyarn -Phive"
   fi
   echo "Performing Maven install for $HADOOP_PROFILE"
-  $MVN $HADOOP_MODULE_PROFILES -P$HADOOP_PROFILE jar:jar install:install -q \
-    -pl '!assembly' \
-    -pl '!examples' \
-    -pl '!external/flume-assembly' \
-    -pl '!external/kafka-assembly' \
-    -pl '!external/twitter' \
-    -pl '!external/flume' \
-    -pl '!external/mqtt' \
-    -pl '!external/mqtt-assembly' \
-    -pl '!external/zeromq' \
-    -pl '!external/kafka' \
-    -DskipTests
+  $MVN $HADOOP_MODULE_PROFILES -P$HADOOP_PROFILE jar:jar jar:test-jar install:install -q
+
+  echo "Performing Maven validate for $HADOOP_PROFILE"
+  $MVN $HADOOP_MODULE_PROFILES -P$HADOOP_PROFILE validate -q
 
   echo "Generating dependency manifest for $HADOOP_PROFILE"
   mkdir -p dev/pr-deps

http://git-wip-us.apache.org/repos/asf/spark/blob/665aa47f/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index c751298..ef00c70 100644
--- a/pom.xml
+++ b/pom.xml
@@ -1058,6 +1058,12 @@
         <artifactId>zookeeper</artifactId>
         <version>${zookeeper.version}</version>
         <scope>${hadoop.deps.scope}</scope>
+        <exclusions>
+          <exclusion>
+            <groupId>org.jboss.netty</groupId>
+            <artifactId>netty</artifactId>
+          </exclusion>
+        </exclusions>
       </dependency>
       <dependency>
         <groupId>org.codehaus.jackson</groupId>
@@ -1774,7 +1780,7 @@
         <plugin>
           <groupId>org.apache.maven.plugins</groupId>
           <artifactId>maven-enforcer-plugin</artifactId>
-          <version>1.4</version>
+          <version>1.4.1</version>
           <executions>
             <execution>
               <id>enforce-versions</id>
@@ -1789,6 +1795,19 @@
                   <requireJavaVersion>
                     <version>${java.version}</version>
                   </requireJavaVersion>
+                  <bannedDependencies>
+                    <excludes>
+                      <!--
+                        Akka depends on io.netty:netty, which puts classes under the org.jboss.netty
+                        package. This conflicts with the classes in org.jboss.netty:netty
+                        artifact, so we have to ban that artifact here. In Netty 4.x, the
classes
+                        are under the io.netty package, so it's fine for us to depend on
both
+                        io.netty:netty and io.netty:netty-all.
+                       -->
+                      <exclude>org.jboss.netty</exclude>
+                    </excludes>
+                    <searchTransitive>true</searchTransitive>
+                  </bannedDependencies>
                 </rules>
               </configuration>
             </execution>


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@spark.apache.org
For additional commands, e-mail: commits-help@spark.apache.org


Mime
View raw message